Bug 659219 - apcupsd-cgi: Attempt to invoke directory as script
Summary: apcupsd-cgi: Attempt to invoke directory as script
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: apcupsd
Version: el5
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Michal Hlavinka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-02 08:29 UTC by Patrick C. F. Ernzer
Modified: 2011-01-06 17:01 UTC (History)
1 user (show)

Fixed In Version: apcupsd-3.14.0-3.el4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-17 08:33:15 UTC


Attachments (Terms of Use)

Description Patrick C. F. Ernzer 2010-12-02 08:29:37 UTC
Description of problem:
apcupsd-cgi as shipped gives Attempt to invoke directory as script
http://wiki.apache.org/httpd/DirectoryAsScript explains hos to fix this

Version-Release number of selected component (if applicable):
apcupsd-3.14.0-3.el5.src.rpm

How reproducible:
always

Steps to Reproduce:
1. have working httpd setup
2. have UPS
3. yum install apcupsd-cgi
4. access http://localhost/apcupsd/ with a browser
  
Actual results:
[error] [client X.X.X.X] attempt to invoke directory as script: /var/www/apcupsd/

Expected results:
seeing info on the UPS

Additional info:
after changing my /etc/httpd/conf.d/apcupsd.conf to read as follows, it looks OK
#
# apcupsd configuration file for Apache Web server
#

# files are off the documentroot of Web server
#ScriptAlias /apcupsd/ "/var/www/apcupsd/"
Alias /apcupsd /var/www/apcupsd
<Directory /var/www/apcupsd>
 AddHandler cgi-script cgi pl
 Options ExecCGI
</Directory>

#
# Allow only local access at default
# Change the ".example.com" to match your domain or modify
# access rights to your needs to enable remote access also.
#
<Directory "/var/www/apcupsd">
    DirectoryIndex upsstats.cgi
    AllowOverride None
    Options ExecCGI Indexes
    Order deny,allow
    Deny from all
    Allow from 127.0.0.1
    Allow from ::1
    Allow from .mydomain.com
</Directory>


Obviously X.X.X.X in the error depends on accessing client and "Allow from .mydomain.com" on my local network

Comment 1 Fedora Update System 2010-12-03 17:28:36 UTC
apcupsd-3.14.8-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/apcupsd-3.14.8-3.fc14

Comment 2 Fedora Update System 2010-12-03 17:28:44 UTC
apcupsd-3.14.0-4.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/apcupsd-3.14.0-4.el5

Comment 3 Fedora Update System 2010-12-03 17:28:50 UTC
apcupsd-3.14.8-3.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/apcupsd-3.14.8-3.fc13

Comment 4 Fedora Update System 2010-12-03 17:28:59 UTC
apcupsd-3.14.0-3.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/apcupsd-3.14.0-3.el4

Comment 5 Fedora Update System 2010-12-04 21:28:11 UTC
apcupsd-3.14.0-3.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update apcupsd'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/apcupsd-3.14.0-3.el4

Comment 6 Patrick C. F. Ernzer 2010-12-07 17:30:00 UTC
for others wanting to test;

(In reply to comment #5)
>  su -c 'yum --enablerepo=updates-testing update apcupsd'.

should read
su -c 'yum --enablerepo=epel-testing update apcupsd'

Comment 7 Michal Hlavinka 2010-12-08 07:36:57 UTC
(In reply to comment #6)
> for others wanting to test;
> 
> (In reply to comment #5)
> >  su -c 'yum --enablerepo=updates-testing update apcupsd'.
> 
> should read
> su -c 'yum --enablerepo=epel-testing update apcupsd'

depends what system are you using, but you're correct that for *.el4 package it should be epel-testing

Comment 8 Fedora Update System 2010-12-17 08:33:10 UTC
apcupsd-3.14.8-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-12-17 08:41:41 UTC
apcupsd-3.14.8-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-01-06 17:00:46 UTC
apcupsd-3.14.0-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-01-06 17:01:41 UTC
apcupsd-3.14.0-3.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.